<?php
/**
 * Block Patterns
 * 
 * @link https://developer.wordpress.org/reference/functions/register_block_pattern/
 * @link https://developer.wordpress.org/reference/functions/register_block_pattern_category/
 *
 * @package blogbaster
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {
	register_block_pattern_category(
		'blogbaster',
		array( 'label' => __( 'Blogbaster', 'blogbaster' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {

	// Post Grid
	register_block_pattern(
		'blogbaster/post-grid',
		array(
			'title'         => esc_html__( 'Posts Grid', 'blogbaster' ),
			'categories'    => array( 'blogbaster' ),
			'viewportWidth' => 1440,
			'content'       => 
								'<!-- wp:query {"queryId":65,"query":{"perPage":6,"pages":0,"offset":0,"postType":"post","categoryIds":[],"tagIds":[],"order":"desc","orderBy":"date","author":"","search":"","exclude":[],"sticky":"exclude","inherit":false},"displayLayout":{"type":"flex","columns":3}} -->
								<div class="wp-block-query"><!-- wp:post-template -->
								<!-- wp:group {"className":"card"} -->
								<div class="wp-block-group card"><!-- wp:post-featured-image {"isLink":true,"align":"wide"} /-->

								<!-- wp:group {"className":"card-body"} -->
								<div class="wp-block-group card-body"><!-- wp:post-title {"isLink":true} /-->

								<!-- wp:post-excerpt /--></div>
								<!-- /wp:group -->

								<!-- wp:group {"className":"card-footer"} -->
								<div class="wp-block-group card-footer"><!-- wp:post-date /--></div>
								<!-- /wp:group --></div>
								<!-- /wp:group -->
								<!-- /wp:post-template --></div>
								<!-- /wp:query -->',
		)
	);

}