<?php
/**
 * The main template file
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package blogbaster
 */

get_header();
blogbaster_content_wrapper_start();
?>

<?php
	if ( is_home() && get_theme_mod( 'featured_category' ) ) {
	    $limit_num = 3;
	    $catID = esc_attr( get_theme_mod( 'featured_category' ) );

	    if ( $catID ) {}
				
		$args = array(
			'posts_per_page' => $limit_num,
			'post_status' => 'publish',
			'category__in' => $catID
		);
		$recent_posts = new WP_Query( $args );

		if ( $recent_posts->have_posts() ) : ?>

			<div class="col-md-12">
				<div class="row mb-4">
					<?php
						$count = 0;
						while( $recent_posts->have_posts() ): $recent_posts->the_post();
							$count++;
						?>
						<?php if( $count == 1 || $count == 2 ) { ?>
							<div class="col<?php if($count>1){ echo '-lg-4 pl-lg-0'; } else { echo ' pr-lg-0'; } ?>">
						<?php } ?>
							<?php if( $count == 1 ) { ?>
							    <?php get_template_part( 'template-parts/post/featured', 'first' ); ?>
							<?php } else { ?>
								<?php get_template_part( 'template-parts/post/featured' ); ?>
							<?php } ?>
						<?php if( $count == 1 || $count == 3 ) { ?>
							</div>
						<?php } ?>
					<?php
						endwhile;
						?>
				</div>
			</div>
<?php
		endif;
		wp_reset_postdata();
	} ?>

	<div id="primary" class="content-area<?php blogbaster_content_class(); ?>">
		<main id="main" class="site-main" role="main">

		<?php
			if ( have_posts() ) :

				if ( is_home() && ! is_front_page() ) : ?>
					<header>
						<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
					</header>
			<?php
				endif;

				if( is_archive() ) :
				?>
					<header class="archive-header pb-4">
						<?php
							the_archive_title( '<h1 class="page-title">', '</h1>' );
							the_archive_description( '<div class="archive-description">', '</div>' );
							?>
					</header>
			<?php
				endif;

				/**
				 *
				 * hooked blogbaster_blog_wrap_start
				 * @see template-functions.php
				 *
				 */
				do_action( 'blogbaster_before_index_loop' );

				/* Start the Loop */
				while ( have_posts() ) :
					the_post();
						/*
						 * Include the Post-Type-specific template for the content.
						 * If you want to override this in a child theme, then include a file
						 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
						 */
						get_template_part( 'template-parts/content', get_post_type() );
					
					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

				endwhile;

				/**
				 *
				 * hooked blogbaster_blog_wrap_end
				 * @see template-functions.php
				 *
				 */
				do_action( 'blogbaster_after_index_loop' );

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif; // if ( have_posts() )
			?>

		</main>
	</div><!-- #primary -->

<?php
get_sidebar(); /* Get Sidebar #secondary */
blogbaster_content_wrapper_end();
get_footer();