<?php
/**
 * Template part for displaying page content in front-page.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package blogbaster
 */

?>

<?php if ( get_the_content() == '' ) { return; } ?>

<section id="frontpage-content" class="frontpage-section mt-5 mb-5">
	<article id="post-<?php the_ID(); ?>" <?php post_class('front-page-content'); ?>>
	<?php
		the_post_thumbnail( 'blogbaster-cover-image',
				array( 
					'class' => 'img-fluid rounded pb-4' 
				)
		);
		?>

		<div class="entry-content">
			<?php
			the_content();

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'blogbaster' ),
				'after'  => '</div>',
			) );
			?>
		</div>

	<?php if ( get_edit_post_link() ) : ?>
		<footer class="entry-footer">
			<?php
			edit_post_link(
				sprintf(
					wp_kses(
						/* translators: %s: Name of current post. Only visible to screen readers */
						__( 'Edit <span class="screen-reader-text">%s</span>', 'blogbaster' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					get_the_title()
				),
				'<span class="edit-link">',
				'</span>'
			);
			?>
		</footer>
	<?php endif; ?>
	</article><!-- #post-<?php the_ID(); ?> -->
</section>
