<?php
/**
 * Template part for displaying Single post
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package blogbaster
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php do_action( 'blogbaster_article_start' ); ?>

<?php
	if( get_theme_mod('single_header_display')!='alt' ){
		/**
		 * Post thumbnail display
		 * https://developer.wordpress.org/reference/functions/the_post_thumbnail/
		 *
		 */
		the_post_thumbnail( 
			'blogbaster-featured-900-600', 
			array( 'class' => 'img-fluid rounded mb-2' ) 
		);
	}
	?>

<?php do_action( 'blogbaster_header_before' ); ?>

	<?php if( get_theme_mod('single_header_display')!='alt' ){ ?>
		<header class="entry-header">
			<?php the_title( '<h1 class="entry-title display-4">', '</h1>' ); ?>
			<?php if ( has_excerpt() ) : ?>
				<div class="lead mb-2"><?php the_excerpt(); ?></div>
			<?php endif; ?>
		</header>
	<?php } ?>

	<?php if( get_theme_mod('single_header_display')!='alt' ){ ?>
		<div class="entry-meta d-flex border-top border-bottom mb-4 mt-4 pt-2 pb-2">
			<div class="flex-grow-1 entry-meta">
		  		<?php blogbaster_post_meta(); ?>
		  	</div>
		  	<div class="entry-meta">
		  		<?php if( ! post_password_required() && comments_open() ) : ?>
			  		<a href="<?php comments_link(); ?>">
						<?php comments_number(esc_html__('No Comments','blogbaster'), esc_html__('One Comment','blogbaster'), esc_html__('% Comments','blogbaster') );?>
					</a>
				<?php endif; ?>
		  	</div>
		</div>
	<?php } ?>

	<div class="entry-content">
		<?php
			the_content();

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'blogbaster' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer mt-4">
		<?php blogbaster_entry_footer(); ?>
	</footer>

<?php do_action( 'blogbaster_article_end' ); ?>
</article><!-- #post-<?php the_ID(); ?> -->